Subject: [Ace] Adam Roach's Discuss on draft-ietf-ace-coap-est-17: (with DISCUSS and COMMENT)

From: Adam Roach via Datatracker <[email-masked]>
Date: Tue, 17 Dec 2019 18:28:43 -0800

Adam Roach has entered the following ballot position for
draft-ietf-ace-coap-est-17: Discuss

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-ace-coap-est/

----------------------------------------------------------------------
DISCUSS:
----------------------------------------------------------------------

Thanks for the work that the authors and working group put into this document.
I have one DISCUSS-level comment that should be very easy to resolve, and
a small number of editorial nits.

---------------------------------------------------------------------------

§9:

Since this specification is adding new endpoints under /.well-known/est,
it needs to update the "Well-Known URIs" registry so that the entry for
"est" indicates this document (in addition to RFC 7030).

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

§5.3:

>  The Content-Format (HTTP Media-Type equivalent) of the CoAP message

HTTP doesn't have a "Media-Type" field. Presumably this intends to
say "Content-Type"?

---------------------------------------------------------------------------

§5.3:

>  Media-Types specified in the HTTP Content-Type header (Section 3.2.2

Nit "...header field..."

---------------------------------------------------------------------------

§5.5:

>  HTTP response code 202 with a Retry-After header in [RFC7030] has no

Nit "...header field..."

---

From: "Panos Kampanakis (pkampana)" <[email-masked]>
Date: Sun, 22 Dec 2019 04:37:27 +0000

Hi Adam,

Thank you for the feedback. For completeness, we are tracking it in a git issue https://github.com/SanKumar2015/EST-coaps/issues/156 

Good point about updating the Well-Known URIs to include [This RFC] additionally to RFC7030. We will make sure we add this in the IANA considerations.

We will also address the other three nits as well. 

Rgs,
Panos

-----Original Message-----
From: Ace <[email-masked]> On Behalf Of Adam Roach via Datatracker
Sent: Tuesday, December 17, 2019 9:29 PM
To: The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: [Ace] Adam Roach's Discuss on draft-ietf-ace-coap-est-17: (with DISCUSS and COMMENT)

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Thanks for the work that the authors and working group put into this document.
I have one DISCUSS-level comment that should be very easy to resolve, and a small number of editorial nits.

§9:

Since this specification is adding new endpoints under /.well-known/est, it needs to update the "Well-Known URIs" registry so that the entry for "est" indicates this document (in addition to RFC 7030).

>  The Content-Format (HTTP Media-Type equivalent) of the CoAP message

HTTP doesn't have a "Media-Type" field. Presumably this intends to say "Content-Type"?

Nit "...header field..."

Nit "...header field..."

_______________________________________________
Ace mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ace

---

From: "Panos Kampanakis (pkampana)" <[email-masked]>
Date: Tue, 24 Dec 2019 15:46:56 +0000

Hi Adam, 

This commit https://github.com/SanKumar2015/EST-coaps/commit/662752d2a725ee72a75af70c36a6379b5cc2d4ab tries to address your feedback. The full discussion is in https://github.com/SanKumar2015/EST-coaps/issues/156 

Let us know if it does not make sense. 

Rgs,
Panos

-----Original Message-----
From: Ace <[email-masked]> On Behalf Of Panos Kampanakis (pkampana)
Sent: Saturday, December 21, 2019 11:37 PM
To: Adam Roach <[email-masked]>; The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re: [Ace] Adam Roach's Discuss on draft-ietf-ace-coap-est-17: (with DISCUSS and COMMENT)

Hi Adam,

Rgs,
Panos

-----Original Message-----
From: Ace <[email-masked]> On Behalf Of Adam Roach via Datatracker
Sent: Tuesday, December 17, 2019 9:29 PM
To: The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: [Ace] Adam Roach's Discuss on draft-ietf-ace-coap-est-17: (with DISCUSS and COMMENT)

§9:

Nit "...header field..."

Nit "...header field..."